BIT-sqlite-2020-35527

See a problem?
Import Source
https://github.com/bitnami/vulndb/tree/main/data/sqlite/BIT-sqlite-2020-35527.json
JSON Data
https://api.osv.dev/v1/vulns/BIT-sqlite-2020-35527
Aliases
  • CVE-2020-35527
Published
2024-03-06T11:07:04.702Z
Modified
2024-03-06T11:25:28.861Z
Summary
[none]
Details

In SQLite 3.31.1, there is an out of bounds access problem through ALTER TABLE for views that have a nested FROM clause.

References

Affected packages

Bitnami / sqlite

Package

Name
sqlite
Purl
pkg:bitnami/sqlite

Severity

  • 9.8 (Critical) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS Calculator

Affected ranges

Type
SEMVER
Events
Introduced
3.31.1
Last affected
3.31.1